<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  
</head>
<body background="https://images.pexels.com/photos/1939485/pexels-photo-1939485.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500">

<div class="jumbotron text-center" >
  <h1 >Bootstrap</h1>
  <p>Explicando os comandos bootstrap e como importa-los para sua pagina.</p> 
</div>
  
<div class="container">
  <div class="row">
    <div class="col-sm-8">
      <h2>Comandos Bootstrap</h2>
      <h3>Introdução aos comandos Bootstrap</h3>
      <p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">O Bootstrap é uma estrutura de front-end para o </font></font><a href="https://www.educba.com/how-to-build-web-applications-using-mongodb/"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">desenvolvimento de aplicativos da web</font></font></a><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> . </font><font style="vertical-align: inherit;">Ele fornece a capacidade de criar designs responsivos. </font><font style="vertical-align: inherit;">Existem muitos comandos de autoinicialização que incluem </font></font><a href="https://www.educba.com/html-vs-css/"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">HTML e CSS</font></font></a><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> e outros modelos também. </font><font style="vertical-align: inherit;">Existem alguns comandos listados abaixo</font></font></p>
      <h3><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Comandos básicos de inicialização:</font></font></h3>
      <p>Só alguns comandos</p>
      <h3><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">1. Alerta primário:</font></font></h3>
      <p><strong>&lt;div class="alert alert-primary" role="alert"&gt;<br>
&lt;strong&gt;Hello World! &lt;/strong&gt;<br>
&lt;/div&gt;</strong></p>
<h3><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">2. Informação de alerta:</font></font></h3>
<p><strong>&lt;div class="alert alert-info" role="alert"&gt;<br>
&lt;strong&gt;Heads up! &lt;/strong&gt;<br>
&lt;/div&gt;</strong></p>
<h3><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">3. Alerta-alerta:</font></font></h3>
<p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Ele está sendo usado como abaixo para obter o aviso de alerta</font></font></p>
    <p><strong>&lt;div class="alert alert-warning" role="alert"&gt;<br>
&lt;strong&gt;Warning! &lt;/strong&gt; Please check it.<br>
&lt;/div&gt;</strong></p>
    <br />
      <br />
      
      
      <p style="text-align: justify;">A idéia é que ao iniciar um novo projeto você já tenha uma estrutura pronta com os elementos mais comuns que são utilizados, não precisando começar do zero e escrever várias linhas de <strong>código</strong> para fazer a mesma coisa novamente.</p>
      <p style="text-align: justify;">Outra grande característica do Bootstrap é que ele é <strong>responsivo</strong>, o que isso significa? Significa que quando você criar uma página HTML usando Bootstrap ela vai se adequar corretamente ao tamanho da tela de um celular, tablet ou computador sem que seja necessário adicionar um&nbsp;código específico para cada <strong>layout</strong> de tela.</p>
      <p style="text-align: justify;">Para configurar e começar a usar o Bootstrap no seu projeto, é muito <strong>simples</strong> e rápido, o primeiro passo é fazer o download dos arquivos pelo&nbsp;site do <a href="http://getbootstrap.com/" target="_blank" rel="noopener">Bootstrap</a>.</p>
      <h5 style="text-align: center;"><a href="http://www.matera.com/br/wp-content/uploads/2015/07/estrutura1.png"><img class="aligncenter size-full wp-image-13352" src="http://www.matera.com/br/wp-content/uploads/2015/07/estrutura1.png" alt="estrutura" width="347" height="309" srcset="http://www.matera.com/br/wp-content/uploads/2015/07/estrutura1.png 347w, http://www.matera.com/br/wp-content/uploads/2015/07/estrutura1-150x134.png 150w, http://www.matera.com/br/wp-content/uploads/2015/07/estrutura1-300x267.png 300w" sizes="(max-width: 347px) 100vw, 347px"></a><strong>Figura 1</strong> – Estrutura dos arquivos Bootstrap</h5>
<p style="text-align: justify;">A estrutura do Bootstsrap é muito simples de entender e de se usar, cada pasta corresponde aos tipos de arquivos que são oferecidos pelo <strong>framework</strong>.</p>
<p style="text-align: justify;">Para começar a usar basta criar, por exemplo, uma&nbsp;página HTML na raiz do diretório e no código fazer a chamada para os arquivos do Bootstrap.</p>
<pre class="brush:xml"><strong>&lt;head&gt;
&lt;title&gt;Bootstrap&lt;/title&gt;
&lt;meta name="viewport" content="width=device-width, initial-scale=1.0"&gt;
&lt;!-- Bootstrap --&gt;
&lt;link href="css/bootstrap.min.css" rel="stylesheet"&gt;
&lt;link href="css/style.css" rel="stylesheet"&gt;
&lt;/head&gt</strong>;
<h5 style="text-align: center;">Listagem 1 – Adicionando Bootstrap a uma página HTML</h5>
<p style="text-align: justify;">Pronto! Com essas poucas linhas o Bootstrap está configurando na página <strong>HTML</strong>. Notem que esse trecho do código é onde apontamos os arquivos da pasta descompactada.</p>
<pre class="brush:xml"> &lt;link href="css/bootstrap.min.css" rel="stylesheet"&gt;
 &lt;link href="css/style.css" rel="stylesheet"&gt;</pre>
<h5 style="text-align: center;">Listagem 2 – Link para os arquivos Bootstrap</h5>
<p style="text-align: justify;">Para ilustrar que o uso do Bootstrap pode fazer milagres na criação de<strong> front-end</strong> e que o tempo de desenvolvimento será otimizado, segue um exemplo de uma tabela onde é usado o feito de cores alternadas nas linhas:</p>
<pre class="brush:xml">&lt;html&gt;
&lt;head&gt;
&lt;title&gt;Bootstrap&lt;/title&gt;
&lt;meta name="viewport" content="width=device-width, initial-scale=1.0"&gt;
&lt;!-- Bootstrap --&gt;
&lt;link href="css/bootstrap.min.css" rel="stylesheet"&gt;
&lt;link href="css/style.css" rel="stylesheet"&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div class="container"&gt;
  &lt;h2&gt;Table&lt;/h2&gt;
  &lt;div class="table-responsive"&gt;          
  &lt;table class="table table-striped"&gt;
    &lt;thead&gt;
      &lt;tr&gt;
        &lt;th&gt;#&lt;/th&gt;
        &lt;th&gt;Nomes&lt;/th&gt;
      &lt;/tr&gt;
    &lt;/thead&gt;
    &lt;tbody&gt;
      &lt;tr&gt;
        &lt;td&gt;1&lt;/td&gt;
        &lt;td&gt;Carlos&lt;/td&gt;
      &lt;/tr&gt;
      &lt;tr&gt;
        &lt;td&gt;2&lt;/td&gt;
        &lt;td&gt;Maria&lt;/td&gt;
      &lt;/tr&gt;
      &lt;tr&gt;
        &lt;td&gt;3&lt;/td&gt;
        &lt;td&gt;Pedro&lt;/td&gt;
      &lt;/tr&gt;
    &lt;/tbody&gt;
  &lt;/table&gt;
  &lt;/div&gt;
&lt;/div&gt;

&lt;script src="js/jquery.js"&gt;&lt;/script&gt;
&lt;script src="js/bootstrap.min.js"&gt;&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
    </div>
   <div class="col-sm-8" class="jumbotron text-center">
      <h3>Como importa-los para sua pagina</h3>
      <br />
      <br />
      <hr />
      <h5>Via Download</h5>
      <br />
      <p>Voce precisará procurar os componentes que você vai usar para executar seu Bootstrap.</p>
      <p>Muitas vezes vai vir no formato .zip que você precisará fazer a importação para seu trabalho usando um "href", para usar os comandos do bootstrap sem erros futuros. </p>
      
      <br />
      <br />
      <hr />
      <h5>JavaScript</h5>
      <p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Muitos de nossos componentes requerem o uso de JavaScript para funcionar. </font><font style="vertical-align: inherit;">Especificamente, eles exigem </font></font><a href="https://jquery.com/"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">jQuery</font></font></a><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> , </font></font><a href="https://popper.js.org/"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Popper.js</font></font></a><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> e nossos próprios plug-ins JavaScript. </font><font style="vertical-align: inherit;">Coloque os seguintes </font></font><code class="highlighter-rouge">&lt;script&gt;<font style="vertical-align: inherit;"><font style="vertical-align: inherit;">s no final das suas páginas, logo antes da </font></font><code class="highlighter-rouge">&lt;/body&gt;<font style="vertical-align: inherit;"><font style="vertical-align: inherit;">tag de </font><font style="vertical-align: inherit;">fechamento </font><font style="vertical-align: inherit;">, para habilitá-los. </font><font style="vertical-align: inherit;">O jQuery deve vir primeiro, depois o Popper.js e, em seguida, nossos plugins JavaScript.</font></font></p>
      
      <figure class="highlight"><pre><code class="language-html" data-lang="html"><span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://code.jquery.com/jquery-3.3.1.slim.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span>
<span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span>
<span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span></pre></figure>
<br />      
<br />
<p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Certifique-se de que suas páginas sejam configuradas com os mais recentes padrões de design e desenvolvimento. </font><font style="vertical-align: inherit;">Isso significa usar um doctype HTML5 e incluir uma metatag de viewport para comportamentos responsivos adequados. </font><font style="vertical-align: inherit;">Junte tudo e suas páginas devem ficar assim:</font></font></p>
<figure class="highlight"><pre><code class="language-html" data-lang="html"><span class="cp">&lt;!doctype html&gt;</span>
<span class="nt">&lt;html</span> <span class="na">lang=</span><span class="s">"en"</span><span class="nt">&gt;</span>
  <span class="nt">&lt;head&gt;</span>
    <span class="c">&lt;!-- Required meta tags --&gt;</span>
    <span class="nt">&lt;meta</span> <span class="na">charset=</span><span class="s">"utf-8"</span><span class="nt">&gt;</span>
    <span class="nt">&lt;meta</span> <span class="na">name=</span><span class="s">"viewport"</span> <span class="na">content=</span><span class="s">"width=device-width, initial-scale=1, shrink-to-fit=no"</span><span class="nt">&gt;</span><font></font>
<font></font>
    <span class="c">&lt;!-- Bootstrap CSS --&gt;</span>
    <span class="nt">&lt;link</span> <span class="na">rel=</span><span class="s">"stylesheet"</span> <span class="na">href=</span><span class="s">"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"</span> <span class="na">integrity=</span><span class="s">"sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;</span><font></font>
<font></font>
    <span class="nt">&lt;title&gt;</span>Hello, world!<span class="nt">&lt;/title&gt;</span>
  <span class="nt">&lt;/head&gt;</span>
  <span class="nt">&lt;body&gt;</span>
    <span class="nt">&lt;h1&gt;</span>Hello, world!<span class="nt">&lt;/h1&gt;</span><font></font>
<font></font>
    <span class="c">&lt;!-- Optional JavaScript --&gt;</span>
    <span class="c">&lt;!-- jQuery first, then Popper.js, then Bootstrap JS --&gt;</span>
    <span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://code.jquery.com/jquery-3.3.1.slim.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span>
    <span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span>
    <span class="nt">&lt;script </span><span class="na">src=</span><span class="s">"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"</span> <span class="na">integrity=</span><span class="s">"sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"</span> <span class="na">crossorigin=</span><span class="s">"anonymous"</span><span class="nt">&gt;&lt;/script&gt;</span>
  <span class="nt">&lt;/body&gt;</span>
<span class="nt">&lt;/html&gt;</span></pre></figure>
<p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">O Bootstrap emprega vários estilos e configurações globais importantes que você precisa conhecer ao usá-lo, todos quase exclusivamente voltados para a </font></font><em><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">normalização</font></font></em><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> de estilos entre navegadores. </font><font style="vertical-align: inherit;"></font></font></p>
<p>O Bootstrap combina com modelos de design baseados em HTML e CSS e outros plugins javascript . Seu CSS pode funcionar em vários dispositivos, como tablets, telefone e desktop. Está sendo amplamente utilizado para o desenvolvimento de aplicativos da web. Está ficando popular entre os desenvolvedores devido ao uso e flexibilidade fornecidos. O indivíduo que conhece HTML e CSS pode trabalhar facilmente no bootstrap .</p>    
  </div>
</div>

</body>
</html>

